language: cn
model_unique_abbr: dcd
version: 1.0

identification:
  docker_image_name: dcd:1.0
  model_name: 时变稳定社区探测
  semantic: time-varying community detection
  category_application: 诊断型
  category_data:
    - 表格数据
  description: 基于网络快照将网络划分为多个社区
  keywords: 
    - 社区发现

parameter_info:
  parameters:
    - arg_name: folder_path
      is_single_en_dash: false
      param_type: input_data
      name: 边数据
      description: staticComm中的每一个文件代表一个网络快照，选中文件夹
      data_type: csv
      data_semantic: edge_data

    - arg_name: node_path
      is_single_en_dash: false
      param_type: input_data
      name: 节点数据
      description: node一个节点数据文件,csv文件
      data_type: csv
      data_semantic: node data path

    - arg_name: output_path
      is_single_en_dash: false
      param_type: output_data
      name: 输出路径
      description: 社区划分结果，每行代表一个社区 输出csv
      data_type: str
      data_semantic: output data   

application:
  domain: 社区发现
  objective: 对网络数据进行时变社区发现
  mechanism: 基于网络快照模型进行社区发现

operation:
  usage: 该算法需要3个参数进行社区发现
  exec_example: 
    - docker run -it -v $(pwd)/data:/data dcd:1.0 --folder_path /data/staticComm/ --node_path /data/node.csv --output_path /data/
  license: 
    - GPL-2.0

technique:
  language:
  - Python
  os: 
  - Linux
  - Windows  
  dependencies:
    - name: igraph
      version: 0.10.8

source:
  maintainer: Zhaoyuhui Hulingjie
  organization: Wuhan University
  contact: 9027575@qq.com
  integrated_softwares:
    - name: igraph
      version: 0.10.8
      license: GPL-2.0
  references:
    - https://python.igraph.org/en/stable/